#ifndef _READCONF_H
#define _READCONF_H

struct confshare {
	struct confshare *next;
	unsigned char path[MAX_PATH];
};

struct confstruct {
	unsigned char username[64];
	unsigned char password[64];
	struct confshare *sharelist;
	unsigned char download_dir[MAX_PATH];
	int share_downloads;

	unsigned char hostname[64];
	unsigned char ip[16];
};

extern struct confstruct conf;

void config_free();
int config_read();
int config_setup_homedir();

#endif
